## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.3.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name fedora-releases
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

Name:           ghc-%{pkg_name}
Version:        0.3.0
Release:        %autorelease
Summary:        Library for Fedora release versions

License:        GPL-3.0-only
URL:            https://hackage.haskell.org/package/fedora-releases
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bodhi-devel
BuildRequires:  ghc-cached-json-file-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-safe-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bodhi-prof
BuildRequires:  ghc-cached-json-file-prof
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-safe-prof
%endif
# End cabal-rpm deps

%description
This library provides the Branch and Release data types and various associated
metadata functions for Fedora releases (Fedora and EPEL) needed for packaging
development and building. It caches current release data from Fedora Bodhi.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 Jens Petersen <petersen@redhat.com> - 0.3.0-1
- https://hackage.haskell.org/package/fedora-releases-0.3.0/changelog
- Branch: add epel10.x minor branches
- Release: include eol field

* Sun Feb 23 2025 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- cabal-rpm-2.3.0

* Sun Feb 16 2025 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- https://hackage.haskell.org/package/fedora-releases-0.2.1/changelog

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- https://hackage.haskell.org/package/fedora-releases-0.2.0/changelog

* Wed Oct 30 2024 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- spec file generated by cabal-rpm-2.2.2

## END: Generated by rpmautospec
